# @Email: jmaggio14@gmail.com
# @Website: https://www.imagepypelines.org/
# @License: https://github.com/jmaggio14/imagepypelines/blob/master/LICENSE
# @github: https://github.com/jmaggio14/imagepypelines
#
# Copyright (c) 2018-2020 Jeff Maggio, Ryan Hartzell, and collaborators
__all__ = [
            '__name__',
            '__version__',
            '__description__',
            '__author__',
            '__email__',
            '__license__',
            '__url__',
            '__download_url__',
            '__maintainer__',
            '__maintainer_email__',
            '__keywords__',
            '__python_requires__',
            '__platforms__',
            '__classifiers__',
            '__credits__',
            '__status__',
            '__copyright__',
            ]


__name__ = 'imagepypelines'
__version__ = '0.3.0-alpha'
__description__ = 'data pipeline and convienence library targeted at accelerating the development of imaging projects and research'

__author__ = 'Jeff Maggio, Ryan Hartzell, and collaborators'
__email__ = "jmaggio14@gmail.com"
__license__ = "MIT"
__url__ = "https://www.imagepypelines.org"
__download_url__ = 'https://github.com/jmaggio14/imagepypelines'
__maintainer__ = "Jeff Maggio"
__maintainer_email__ = "jmaggio14@gmail.com"
__keywords__ = 'imaging-science machine-learning computer-vision data-pipelines'
# must be 2.7, or 3.4-3.6
__python_requires__ = '>=3.5.*'
__platforms__ = ["Windows", "Linux", "Mac OS-X", "Unix"]
__classifiers__ = [
    'Development Status :: 3 - Alpha',
    'Intended Audience :: Science/Research',
    # 'Topic :: Software Development',
    'Topic :: Scientific/Engineering',
    'Topic :: Scientific/Engineering :: Artificial Intelligence',
    'Topic :: Scientific/Engineering :: Image Recognition',
    'Topic :: Scientific/Engineering :: Information Analysis',
    'License :: OSI Approved :: MIT License',
    'Programming Language :: Python',
    'Programming Language :: Python :: 3',
    'Programming Language :: Python :: 3.5',
    'Programming Language :: Python :: 3.6',
    'Programming Language :: Python :: 3.7',
    # 'Programming Language :: Python :: 3.7', # JM: 3.7 must wait for tensorflow
    'Programming Language :: Python :: Implementation :: CPython',
    'Operating System :: MacOS :: MacOS X',
    'Operating System :: Microsoft :: Windows',
    'Operating System :: POSIX',
    'Natural Language :: English',
    ]

__credits__ = ["Jeff Maggio", "Nathan Dileas", "Ryan Hartzell"]
__status__ = "Experimental"

__copyright__ = "Copyright (c) 2018-2020 " + __author__
